//******************************************************************************
// Call of Duty 2 - eXtreme+ modification
//******************************************************************************
// author   : Astoroth and the eXtreme+ SupportCrew
// email    : astoroth@gom.me.uk
// website  : http://www.extremecod.com
//
// mod      : eXtreme+
// version  : 2.0
// update   : June 2007
//******************************************************************************


//******************************************************************************
// IF YOU ARE GOING TO USE A DEFAULT SETTING ITS BEST TO LEAVE IT COMMENTED OUT.
//   (e.g. leave the // in front of the set command)
// COD2 has a max dvar limit (1280), and to avoid reaching this limit all settings that
// have a default setting you were going to use anyway should be best left commented out.
//******************************************************************************

//******************************************************************************
// Music Controls
//******************************************************************************
// intro music when player joins server 1 =
// 0 = disable, 1 = map specific with voiceover, 2 = map specific without voiceover, 3 = random music only
set ex_intromusic "0"

// spectator music
// 0 = disable, 1 = enable, default = 0
set ex_specmusic "1"

// death music, when player is killed...this disables forced respawn!
// 0 = disable, 1 = enable, default = 0
set ex_deathmusic "0"

// end of game music, this overrides statsboard & map voting music!
// 0 = disable, 1 = enable, default = 0
set ex_endmusic "1"

// end of game music time - set this to the value you want to delay map rotation
// 10 = default, 30 = max
set ex_endmusic_time "10" 

// statsboard music
// 0 = disable, 1 = enable, default = 0
set ex_statsmusic "1"

// map voting music
// 0 = disable, 1 = enable, default = 0
set ex_votemusic "0"


//******************************************************************************
// Announcements Sounds
//******************************************************************************
// good luck - plays on first team spawn only
// 0 = disable, 1 = enable, default = 0
set ex_goodluck "1"

// first kill per game/round
// 0 = disable, 1 = enable, default = 0
set ex_firstblood "1"

// players connecting/disconnecting sound
// 0 = disable, 1 = enable, default = 0
set ex_plcdsound "1"

// time announcer (time remaining and score)
// 0 = disable
// 1 = clock changes colour with time announcements
// 2 = clock colours stays white
set ex_announcer "1"

// announce time (audio)
// 0 = disable, 1 = enable, default = 0
set ex_antime "1"

// announce score (text)
// 0 = disable, 1 = enable, default = 0
set ex_anscore "1"


//******************************************************************************
// Hud indicators
//******************************************************************************
// control death icons
// 0 = disable, 1 = enable, default = 0
set ex_deathicons "1"

// control grenade indicators
// 0 = disable, 1 = enable, default = 0
set ex_grenadeind "1"

// control hit blip
// 0 = disable, 1 = enable, default = 0
set ex_codhitblip "1"

// Objective indicators (CTF, HQ, S&D)
// 0 = disable, 1 = enable, default = 0
set ex_objindicator "1"


//******************************************************************************
// Welcome messages
//******************************************************************************
// the mod will automatically add, Welcome PLAYERSNAME to the YOURSERVERNAME server
// as the first line displayed and then the second line will inform the player of their voting status
// after then you have 3 lines you can customise, these are in the custom.str file.
//
// welcome player
// 0 = disable, 1 = enable, default = 0
set ex_pwelcome "0"

// Set the number of messages to display
// 0 = disable, max = 3, default = 0
set ex_pwelcome_msg "0"

// delay between welcome messages in seconds
// 0 = disable, max = 10, default = 0
set ex_pwelcome_delay "3"


//******************************************************************************
// Fall damage modifiers
//******************************************************************************
// enable fall damage modifiers
set ex_falldamage_enable "0"
//set ex_falldamage_enable_sd "0"
//set ex_falldamage_enable_hq "0"
//set ex_falldamage_enable_ctf "0"
//set ex_falldamage_enable_htf "0"
//set ex_falldamage_enable_chq "0"
//set ex_falldamage_enable_lts "0"
//set ex_falldamage_enable_mp_breakout "0"
//set ex_falldamage_enable_mp_trainstation "0"
//set ex_falldamage_enable_mp_rhine "0"

// fall damage MAX height in ft
set ex_falldamage_max "30"

// fall damage MIN height in ft
set ex_falldamage_min "15"


//******************************************************************************
// Minefields
//******************************************************************************
// disable minefields, on some maps this is good as it makes the playing area a lot bigger,
// for example brecourt can benefit from this option!
// 0 = disable, 1 = enable, default = 0
set ex_minefields "0"


//******************************************************************************
// Message of the day Messages (MOTD)
//******************************************************************************
// There is no limit, the motd system will start over automaticly when the last
// motd message has been displayed.
// NEVER use motd0, it is reserved for the server itself.

// MOTD display delay
// 0 = disable, 1 = enable, default = 0
set ex_motd_rotate "1"

// Set time in seconds between messages, it is advisable not to try and use colour symbols in the
// motd, the game kind of messes them up, its a case of trial and error!
// min = 5, max = 60, default = 5
set ex_motd_delay "10"

// lines of text for message of the day, you can set as little or as many as you like!
set ex_motd1 "Welcome to our server, we hope you enjoy your stay with us."
set ex_motd2 "This server is running the ^3e^1X^3treme^2+^7 modification for Call of Duty 2"
set ex_motd3 "Too many TK's and you may get kicked from the server!"
set ex_motd4 "Modifications thanks to ^3www.Legion-Rus.Clan.su"

//******************************************************************************
// Server messages
//******************************************************************************
// set the number of messages to be displayed, the messages are created in the
// custom.str file included with extreme+
// 0 = disable, max = 10, default = 0
set ex_svrmsg "1"

// delay between server messages in seconds
// min = 1, max = 120, default = 30
set ex_svrmsg_delay_msg "30"

// delay before messages are displayed, in seconds ( handy if looping! )
// min = number of messages multiplied by delay between messages ( use "0" )
// default/min = number of messages * delay between messages, max = 900 (15 minutes!)
set ex_svrmsg_delay_main "300"

// display next map and/or next gametype, server messages are paused while this is displayed
// 0 = disabled, 1 = map only, 2 = gametype only, 3 = map and gametype, default = 0
set ex_svrmsg_info "0"

// display map server map rotation, this will display normal, player based and random rotations, if you have map
// voting enabled, it will display a message informing players that you use the map voting feature but will not display
// a rotation. Server messages are paused while this is displayed
// 0 = disable, 1 = enable, default = 0
set ex_svrmsg_rotation "0"

// loop messages?
// 0 = disable, 1 = enable, default = 0
set ex_svrmsg_loop "0"


//******************************************************************************
// Server rules
//******************************************************************************
// Set the rules to be displayed by including the rule number in the string
// If you only want rules 2, 4 and 6 set ex_svrrules "246"
// The messages are created in the custom.str file included with extreme+
// 1 = NO FOUL LANGUAGE, RACIAL or SEXUAL REMARKS
// 2 = NO HOPPING and NO DIVING to dodge bullets
// 3 = DO NOT KILL UNARMED PLAYERS
// 4 = DO NOT EXPLOIT MAP GLITCHES
// 5 = DO NOT MASSMURDER NOOBS
// 6 = DO NOT ACT LIKE AN ASSHOLE
// 7 = NO ROAMING and NO BACKING UP to make a kill
// 8 = DO NOT SHOOT RUNNERS! They are spawners going to hide
// 9 = NO CLOSE COMBAT. Only 75+ yards shots
// 0 = NO CROSSING IN TDM
set ex_svrrules "12345"


//******************************************************************************
// Statsboard
//******************************************************************************
// show the extreme+ statsboard at the end of the match?
// 0 = disable, 1 = enable, default = 0
set ex_stbd "0"

// allow fading effects on the statsboard
// 0 = disable, 1 = enable, default = 0
set ex_stbdf "0"

// allow kill stats to be shown?
// 0 = disable, 1 = enable, default = 0
set ex_showk "0"

// allow death stats to be shown?
// 0 = disable, 1 = enable, default = 0
set ex_showd "0"

// allow scores to be shown?
// 0 = disable, 1 = enable, default = 0
set ex_shows "0"

// allow kill effeciency to be shown?
// 0 = disable, 1 = enable, default = 0
set ex_showr "0"

// stats display timing, set the amount of time per stat, e.g. if the board displays 10 stats, with this set to
// 5 the board lasts 50 seconds. If this is set to 0 then the maximum time will be used, you can also set a
// maximum time to display below
// 0 = disable, max 10, default = 0
set ex_stbdtps "5"

// set the maximum amount of time in seconds to display statsboard
// 0 = disable, max = 120, default = 0
set ex_stbdt "20"


//******************************************************************************
// Movie mode (letterbox)
//******************************************************************************
// adds a cinemascope effect to the hud
// 0 = disable, 1 = enable, default = 0
set ex_moviemode "0"


//******************************************************************************
// Livestats!
//******************************************************************************
// show number of alive players in each team
// 0 = disable, 1 = enable, default = 0
set ex_livestats "1"


//******************************************************************************
// Range finder
// press USE key to see the range to your target (binocs and snipers only)
//******************************************************************************
// 0 = disable, 1 = enable, default = 0
set ex_rangefinder "1"
// 0 = metres, 1 = yards, default = 1
set ex_rfunit "0"


//******************************************************************************
// Logo
//******************************************************************************
// displays a logo in the top left of the screen, if you know what you're doing you can replace
// all these images or just the fixed COD2 extreme+ logo with your own clanlogo, there is no
// official support for doing this!
// 0 = disable (default)
// 1 = fixed COD2 extreme+ logo
// 2 = team flag with extreme+ logo
set ex_logopic "0"

//******************************************************************************
// Statsboard
//******************************************************************************
// show the extreme+ statsboard at the end of the match?
// 0 = disable, 1 = enable, default = 0
set ex_stbd "1"

// allow kill and death stats to be shown?
// 0 = disable, 1 = enable, default = 1
set ex_stbd_kd "0"

// allow scores and efficiency to be shown?
// 0 = disable, 1 = enable, default = 1
set ex_stbd_se "0"

// time to display statsboard (in seconds)
// 0 = disable, max = 120, default = 20
set ex_stbd_time "30"

// time to display statsboard, based on the number of stats (in seconds)
// e.g. if the board displays 10 stats, with this set to 5 the board lasts 50 seconds.
// If set to 0 then the maximum time will be used
// 0 = disable, max 10, default = 0
set ex_stbd_tps "5"

// show rank or team icons on the statsboard
// If this is turned on, the max number of players in the list is 5, not 7
// 0 = disable, 1 = enable, default = 0
set ex_stbd_icons "1"

// move the board to the right, so you can see the end-of-game chat
// 0 = disable, max 150, default = 0
//set ex_stbd_movex "150"

// allow fading effects on the statsboard
// 0 = disable, 1 = enable, default = 0
//set ex_stbd_fade "1"

// log the statsboard data into the log
// 0 = disable, 1 = enable, default = 0
//set ex_stbd_log "1"